package com.m2pool.chat.exception;

import com.m2pool.common.core.exception.base.BaseException;

public class WebSocketException extends BaseException {

    public WebSocketException(String module, String code, Object[] args, String defaultMessage) {
        super(module, code, args, defaultMessage);
    }

    public WebSocketException(String module, String code, Object[] args) {
        super(module, code, args);
    }

    public WebSocketException(String module, String defaultMessage) {
        super(module, defaultMessage);
    }

    public WebSocketException(String code, Object[] args) {
        super(code, args);
    }

    public WebSocketException(String defaultMessage) {
        super(defaultMessage);
    }

}
